# affinidi_tdk_wallets_client

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

For more information, please visit [https://github.com/affinidi/affinidi-tdk](https://github.com/affinidi/affinidi-tdk)

Documentation is available at [https://docs.affinidi.com/dev-tools/affinidi-tdk/clients/wallets](https://docs.affinidi.com/dev-tools/affinidi-tdk/clients/wallets)

## Requirements.

Python 3.7+

## Installation & Usage

### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install affinidi_tdk_wallets_client
```

Then import the package:

```python
import affinidi_tdk_wallets_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```

Then import the package:

```python
import affinidi_tdk_wallets_client
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import affinidi_tdk_wallets_client
from affinidi_tdk_wallets_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://apse1.api.affinidi.io/cwe
# See configuration.py for a list of all supported configuration parameters.
configuration = affinidi_tdk_wallets_client.Configuration(
    host = "https://apse1.api.affinidi.io/cwe"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: ProjectTokenAuth
configuration.api_key['ProjectTokenAuth'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ProjectTokenAuth'] = 'Bearer'


# Enter a context with an instance of the API client
with affinidi_tdk_wallets_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = affinidi_tdk_wallets_client.RevocationApi(api_client)
    list_id = 'list_id_example' # str |
    wallet_id = 'wallet_id_example' # str | id of the wallet

    try:
        # Return revocation list credential.
        api_response = api_instance.get_revocation_list_credential(list_id, wallet_id)
        print("The response of RevocationApi->get_revocation_list_credential:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling RevocationApi->get_revocation_list_credential: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://apse1.api.affinidi.io/cwe*

| Class           | Method                                                                                      | HTTP request                                                                       | Description                        |
| --------------- | ------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------- | ---------------------------------- |
| _RevocationApi_ | [**get_revocation_list_credential**](docs/RevocationApi.md#get_revocation_list_credential)  | **GET** /v1/wallets/{walletId}/revocation-list/{listId}                            | Return revocation list credential. |
| _RevocationApi_ | [**revoke_credential**](docs/RevocationApi.md#revoke_credential)                            | **POST** /v1/wallets/{walletId}/revoke                                             | Revoke Credential.                 |
| _DefaultApi_    | [**get_revocation_credential_status**](docs/DefaultApi.md#get_revocation_credential_status) | **GET** /v1/projects/{projectId}/wallets/{walletId}/revocation-statuses/{statusId} |
| _WalletApi_     | [**create_wallet**](docs/WalletApi.md#create_wallet)                                        | **POST** /v1/wallets                                                               |
| _WalletApi_     | [**delete_wallet**](docs/WalletApi.md#delete_wallet)                                        | **DELETE** /v1/wallets/{walletId}                                                  |
| _WalletApi_     | [**get_wallet**](docs/WalletApi.md#get_wallet)                                              | **GET** /v1/wallets/{walletId}                                                     |
| _WalletApi_     | [**list_wallets**](docs/WalletApi.md#list_wallets)                                          | **GET** /v1/wallets                                                                |
| _WalletApi_     | [**sign_credential**](docs/WalletApi.md#sign_credential)                                    | **POST** /v1/wallets/{walletId}/sign-credential                                    |
| _WalletApi_     | [**sign_jwt_token**](docs/WalletApi.md#sign_jwt_token)                                      | **POST** /v1/wallets/{walletId}/sign-jwt                                           |
| _WalletApi_     | [**update_wallet**](docs/WalletApi.md#update_wallet)                                        | **PATCH** /v1/wallets/{walletId}                                                   |

## Documentation For Models

- [CreateWalletInput](docs/CreateWalletInput.md)
- [CreateWalletResponse](docs/CreateWalletResponse.md)
- [DidKeyInputParams](docs/DidKeyInputParams.md)
- [DidWebInputParams](docs/DidWebInputParams.md)
- [EntityNotFoundError](docs/EntityNotFoundError.md)
- [GetRevocationCredentialStatusOK](docs/GetRevocationCredentialStatusOK.md)
- [GetRevocationListCredentialResultDto](docs/GetRevocationListCredentialResultDto.md)
- [InvalidDidParameterError](docs/InvalidDidParameterError.md)
- [InvalidParameterError](docs/InvalidParameterError.md)
- [KeyNotFoundError](docs/KeyNotFoundError.md)
- [NotFoundError](docs/NotFoundError.md)
- [OperationForbiddenError](docs/OperationForbiddenError.md)
- [RevokeCredentialInput](docs/RevokeCredentialInput.md)
- [ServiceErrorResponse](docs/ServiceErrorResponse.md)
- [ServiceErrorResponseDetailsInner](docs/ServiceErrorResponseDetailsInner.md)
- [SignCredential400Response](docs/SignCredential400Response.md)
- [SignCredentialInputDto](docs/SignCredentialInputDto.md)
- [SignCredentialInputDtoUnsignedCredentialParams](docs/SignCredentialInputDtoUnsignedCredentialParams.md)
- [SignCredentialResultDto](docs/SignCredentialResultDto.md)
- [SignCredentialResultDtoSignedCredential](docs/SignCredentialResultDtoSignedCredential.md)
- [SignJwtToken](docs/SignJwtToken.md)
- [SignJwtTokenOK](docs/SignJwtTokenOK.md)
- [SigningFailedError](docs/SigningFailedError.md)
- [UpdateWalletInput](docs/UpdateWalletInput.md)
- [WalletDto](docs/WalletDto.md)
- [WalletDtoKeysInner](docs/WalletDtoKeysInner.md)
- [WalletsListDto](docs/WalletsListDto.md)

<a id="documentation-for-authorization"></a>

## Documentation For Authorization

Authentication schemes defined for the API:
<a id="ProjectTokenAuth"></a>

### ProjectTokenAuth

- **Type**: API key
- **API key parameter name**: authorization
- **Location**: HTTP header

## Author

info@affinidi.com
